<?php

namespace Sipago\WooCommerce\SipagoCheckout\Helpers;

use WC_Payment_Gateway;

class ConfigProvider extends WC_Payment_Gateway
{
    public function __construct()
    {
        $this->id = 'sipago_pay';
    }

    public function getConfig($option)
    {
        $value = $this->get_option($option);
        if (!empty($value)) {
            return $value;
        }
        switch ($option) {
            case 'sipago_pay_environment':
                return 'LIVE';
        }

        return null;
    }
}
